--
-- Script para el comportamiento cuando es actor
--
-- Variables FRAMETIME y ACCIONACTOR

Accion(SET_TIEMPO_FRAME, Accion(GET_TIEMPO_FRAME) - FRAMETIME )

if Accion(GET_TIEMPO_FRAME) < 0 then
   -- si se termina la animacion y no se esta agachando
   if (Accion(NEXT_FRAME) == 1) and (not Accion(ANI_SEL, "ANI_DOWN")) then
      if Accion(HAY_OTRO) then
         -- si ha perdido el player del escenario (el local, 2º player)
         if Accion(OTRO_GET_VIDA) == 0 then
            Accion(SELECCIONA_ANI,"ANI_DOWN")
         else
            --si ha perdido el contrincante local
            if Accion(OTRO_OTRO_GET_VIDA) == 0 then
               Accion(SELECCIONA_ANI,"ANI_PUNCH1")
            else
               Accion(SELECCIONA_ANI,"ANI_BASE1")
            end
         end
      else
         Accion(SELECCIONA_ANI,"ANI_BASE1")
      end
      --si no se ha seleccionado ninguna, vuelve al principio
      Accion(GOTO_FRAME, 0)
   end
end

